function Component()
{
	installer.finishButtonClicked.connect(this, Component.prototype.installationFinished);
	component.enabled = this.isDefault();	
}

Component.prototype.isDefault = function()
{
	var retVal = true;
	
	if ( systemInfo.currentCpuArchitecture == "i386" && component.name == "com.phonalisa.tapidriver.x64" ){
		retVal = false
	}
	else if (  systemInfo.currentCpuArchitecture == "x86_64" && component.name == "com.phonalisa.tapidriver.x86" ){
		retVal = false
	}
	
	return retVal;
}


Component.prototype.createOperations = function()
{
    component.createOperations();
	
	var path 	 = installer.value("HKEY_LOCAL_MACHINE\\SYSTEM\\CurrentControlSet\\Control\\Session Manager\\Environment\\Path");
	var binDir 	 = installer.value("TargetDir") + "\\TAPIDriver\\bin";
	var winDir   = installer.environmentVariable("windir");
	var appData  = installer.environmentVariable("APPDATA");
	
	var startupPath = appData +"\\Microsoft\\Windows\\Start Menu\\Programs\\Startup";
	
	var installPath = installer.value("TargetDir");
	var installPathForConfig = installPath.replace(/\\/g, "\\\\");	
	installPathForConfig += "\\\\bin"
	
	component.addOperation(	"Replace", 
							installer.value("TargetDir") + "\\bin\\config\\phonalisa.conf", 
							"%INSTPATH%",
							installPathForConfig
						  );
						  
	component.addOperation(	"Replace", 
							installer.value("TargetDir") + "\\bin\\webserver\\conf\\nginx.conf", 
							"%INSTPATH%",
							installPath+"\\bin"
						  );

	component.addOperation(	"Execute", 
							installer.value("TargetDir") + "\\bin\\tools\\createSSLKeys.bat", 
							installer.value("TargetDir") + "\\bin"
							);
	
	component.addElevatedOperation(	"Execute", 
							installer.value("TargetDir") + "\\bin\\tools\\makeFirewallRules.bat", 
							installer.value("TargetDir") + "\\bin"
							);
	
	component.addOperation(	"CreateShortcut", 
							installer.value("TargetDir") + "\\bin\\phonalisa-startpanel.exe", 
							 installer.value("StartMenuDir") + "\\Phonalisa Startpanel.lnk", 
							 "workingDirectory=" + installer.value("TargetDir") );
							
	component.addOperation(	"CreateShortcut", 
							 installer.value("TargetDir") + "\\Paketverwaltung.exe", 
							 installer.value("StartMenuDir") + "\\Paketverwaltung.lnk", 
							 "workingDirectory=" + installer.value("TargetDir") );
	
	component.addElevatedOperation(	"Execute", 
							installer.value("TargetDir") + "\\bin\\vcredist_x86.exe", 
							"/install",  
							"/passive", 
							"/norestart");
														
	component.addElevatedOperation(	"Execute", 
							installer.value("TargetDir") + "\\bin\\vc_redist_2015.x86.exe", 
							"/install",  
							"/passive", 
							"/norestart" );
								
}

Component.prototype.installationFinished = function()
{	
}

